Subject: Re: [PATCH 00/10 net-next] Convert CONFIG_IPV6 to built-in and remove stubs

From: Krzysztof Kozlowski <[email-masked]>
Date: Mon, 9 Mar 2026 11:22:23 +0100

On 09/03/2026 03:19, Fernando Fernandez Mancera wrote:
> Historically, the Linux kernel has supported compiling the IPv6 stack as
> a loadable module. While this made sense in the early days of IPv6
> adoption, modern deployments and distributions overwhelmingly either
> build IPv6 directly into the kernel (CONFIG_IPV6=y) or disable it
> entirely (CONFIG_IPV6=n). The modular IPv6 use-case provides little to
> no practical benefit today.

It does. We all use generic kernels, thus it is one configuration for
all boards and some setups have IPv6 and some not. The ones without IPv6
just don't use that module.

Also, with these generic kernels (so again all machines are using same
ones, e.g. distro) users can easily blacklist the module.

Best regards,
Krzysztof